/* Copyright (c) 1996 University of Utah.  All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for NON-COMMERCIAL purposes and without fee is
 * hereby granted provided that this copyright notice appears in all
 * copies.
 *
 * See http://www.cs.utah.edu/~hamlet for more educational resources.
 *
 * The University of Utah MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT
 * THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
 * NON-INFRINGEMENT. The University of Utah SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package hamlet;

import java.awt.*;

public class CheckboxMenu extends Menu {

    private int chosen = -1;

    public CheckboxMenu (String name) {
	super(name);
    }

    public CheckboxMenu (String name, boolean tearOff) {
	super(name, tearOff);
    }

    public void add (String choice) {
	add(new CheckboxMenuItem(choice));
    }
	
    public void setChoice (int i) {
	if (chosen >= 0) ((CheckboxMenuItem)(getItem(chosen))).setState(false);
	((CheckboxMenuItem)(getItem(i))).setState(true);
	chosen = i;
    }

    public int getChoice () {
	return(chosen);
    }

    public boolean update (Object obj) {
	for (int i=0; i<countItems(); i++)
	    if (getItem(i) == obj) {
		setChoice(i);
		return(true);
	    }
	return(false);
    }
		
	    
}
