/* Copyright (c) 1996 University of Utah.  All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for NON-COMMERCIAL purposes and without fee is
 * hereby granted provided that this copyright notice appears in all
 * copies.
 *
 * See http://www.cs.utah.edu/~hamlet for more educational resources.
 *
 * The University of Utah MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT
 * THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
 * NON-INFRINGEMENT. The University of Utah SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

//******************************************************************
// ColorList.java - An extension of the list of colors that is
//                  provided by Java.  This should gradually
//                  get bigger as we add colors.
//
// Author:  George Stebbins
//
//******************************************************************
 
package hamlet;

import java.awt.*;


 
public class ColorList {

    public final static Color    BLACK        = Color.black;
    public final static Color    BLUE         = Color.blue;
    public final static Color    CYAN         = Color.darkGray;
    public final static Color    DARK_GRAY    = Color.darkGray;
    public final static Color    GRAY         = Color.gray;
    public final static Color    GREEN        = Color.green;
    public final static Color    LIGHT_GRAY   = Color.lightGray;
    public final static Color    MAGENTA      = Color.magenta;
    public final static Color    ORANGE       = Color.orange;
    public final static Color    PINK         = Color.pink;
    public final static Color    RED          = Color.red;
    public final static Color    WHITE        = Color.white;
    public final static Color    YELLOW       = Color.yellow;
    public final static Color    BROWN        = new Color(159,62,12);
    public final static Color    LIGHT_GREEN  = new Color (0.4f, 0.8f, 0.4f);
    public final static Color    LIGHT_YELLOW = new Color (0.8f, 0.8f, 0.3f);
    public final static Color    LIGHT_RED    = new Color (0.8f, 0.4f, 0.4f);
    
}



